<?php

declare(strict_types=1);

namespace App\Application\Newsletter\SignUp;

/**
 * Event, das ausgelöst wird, wenn ein Benutzer für den Newsletter angemeldet wurde
 */
final readonly class UserWasSignedUp
{
    public function __construct(public string $email)
    {
        // Event-Daten können hier hinzugefügt werden
    }
}
